﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NAudio.Midi;

namespace MidiStylusLibrary
{
    public class MidiDevice
    {
        #region Variables

        private MidiOut _midiOut;
       
        #endregion

        #region Constructors

        public MidiDevice(int deviceNumber)
        {
            try
            {
                this._midiOut = new MidiOut(deviceNumber);
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        #endregion

        #region Methods

        public void ControlChange(int channel, int controlNumber, int value)
        {
            try
            {
                MidiMessage message = MidiMessage.ChangeControl(controlNumber, value, channel);
                _midiOut.Send(message.RawData);
            }
            catch { }
        }

        public void CloseMIDI()
        {
            if (this._midiOut != null)
            {
                _midiOut.Close();
            }
        }

        #endregion
    }
}
